CREATE TABLE cso_survey_question (
    DATE_ADDED                TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED             TIMESTAMP(6)      NOT NULL,
    QUESTION_TYPE_ID          VARCHAR2(128)     NOT NULL,
    RECORD_ID                 VARCHAR2(128) ,
    SORT_ORDER                NUMBER        ,
    SURVEY_ID                 VARCHAR2(128)     NOT NULL,
    REQUIRED                  CHAR(4)           NOT NULL,
    SPECIAL_TYPE_INDICATOR    NUMBER        ,
    REFERENCE_KEY             VARCHAR2(400) ,
    IS_MASTER_IDENTIFIER      CHAR(4)       ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    DATE_ADDED                TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED             TIMESTAMP(6)      NOT NULL,
    QUESTION_TYPE_ID          VARCHAR2(128)     NOT NULL,
    RECORD_ID                 VARCHAR2(128) ,
    SORT_ORDER                NUMBER        ,
    SURVEY_ID                 VARCHAR2(128)     NOT NULL,
    REQUIRED                  CHAR(4)           NOT NULL,
    SPECIAL_TYPE_INDICATOR    NUMBER        ,
    REFERENCE_KEY             VARCHAR2(400) ,
    IS_MASTER_IDENTIFIER      CHAR(4)       ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cso_survey_question PRIMARY KEY (RECORD_ID, RECORD_ID)
);
